明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 230|回复: 4

[提问] 加载程序提示数类型错误: numberp: nil怎么解决啊

[复制链接]
发表于 2023-5-26 09:50 | 显示全部楼层 |阅读模式
在论坛找了两个程序合在一起使用可以解决我画图的一些问题,但是合在一起后用不了,老是提示错误,不知道怎么解决,下面是我合并后的程序


(DEFUN C:jz (/ co_old pt_old nn oo ss st_pt end_pt pt1 pt2 pt_tmp l_ss)
        (vl-load-com)
             (SETQ co_old (GETVAR 'cmdecho))
             (SETQ pt_old (GETVAR 'PEDITACCEPT))
             (SETVAR 'cmdecho 0)
             (SETVAR 'PEDITACCEPT 1)
             (OR (SETQ nn (SSGET "I" '((0 . "*LINE,ARC"))))
                    (SETQ nn (SSGET '((0 . "*LINE,ARC"))))
              )
             (SSSETFIRST nil)
          (IF nn
                  (PROGN
                         (IF (= (SSLENGTH nn) 1)                                                                                                          (SETQ nn (SSGET "A" '((0 . "*LINE,ARC"))))                                                                         ) ;_ 结束IF
                         (COMMAND "pedit" "m" nn "" "j" 0 "")
                   )
        (PRINC "\n  ***未选择对象***")
         )
            (setq oo (entsel "请选择线"))
          (setq ss (car oo))
          (setq st_pt (vlax-curve-getStartPoint ss)
             end_pt (vlax-curve-getEndPoint ss)
             pt1 (getpoint "线上第一个点")
                     pt2 (getpoint "线上第二个点")
           )   
              (if (>  (vlax-curve-getParamAtPoint ss pt1) (vlax-curve-getParamAtPoint ss pt2))
                 (setq pt_tmp pt2                                                                                                                 pt2 pt1
                                         pt1 pt_tmp)
               )
                  (command "undo" "be")
                  (command "_break" ss st_pt pt1)
                    (command "_break" ss end_pt pt2)
                  (command ".copy" ss "" '(0 0) '(0 0))
                  (setq l_ss (entget (entlast)))
                  (command "undo" "end")
                  (command "undo" "")
                  (entmake l_ss)
                    (setq ss (entlast))
                  (vla-put-Color (vlax-ename->vla-object ss) 1)
  (SETVAR  'cmdecho co_old)
  (SETVAR  'PEDITACCEPT pt_old)
  (PRIN1)
)


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2023-5-26 10:57 | 显示全部楼层
我这边正常运行,没看出啥问题
 楼主| 发表于 2023-5-26 14:27 | 显示全部楼层
帝都划水王 发表于 2023-5-26 10:57
我这边正常运行,没看出啥问题

我编辑器里加载没问题,但是直接导入就是有问题,不知道怎么回事
发表于 2023-5-26 16:09 | 显示全部楼层
文件编码不对 另存为ANSI编码的  再处理一下问号乱码
 楼主| 发表于 2023-5-26 17:25 | 显示全部楼层
飞雪神光 发表于 2023-5-26 16:09
文件编码不对 另存为ANSI编码的  再处理一下问号乱码

大神真厉害,确实是这个问题,感谢
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2023-5-30 11:49 , Processed in 0.205962 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表